Bug 567567 - guestfish integer (xstrtol) tests fail differently on 32-bit platforms
guestfish integer (xstrtol) tests fail differently on 32-bit platforms
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 05:01 EST by Richard W.M. Jones
Modified: 2010-04-30 19:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-12 11:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-02-23 05:01:50 EST
Description of problem:

On Debian Guido reported the following patch was necessary to
get past the guestfish integer (xstrtol / bug 557655) tests:

> -set-memsize: memsize: integer out of range
> -set-memsize: memsize: integer out of range
> -set-memsize: memsize: integer out of range
> -set-memsize: memsize: integer out of range
> +set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
> +set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
> +set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
> +set-memsize: memsize: invalid integer parameter (xstrtol returned 1)

However this looks wrong to me.  This needs further
investigation so we can find out if it's our code or Gnulib
which is at fault (or some difference in the environment).

Version-Release number of selected component (if applicable):

guestfish 1.0.84

How reproducible:

On Debian, not on Fedora.

Additional info:

Upstream report:
https://www.redhat.com/archives/libguestfs/2010-February/msg00180.html
Comment 1 Richard W.M. Jones 2010-02-25 15:21:11 EST
Actually, this happens on Fedora/i386 too.  I think it's
a 32/64-bit thing.

--- test.err	2010-02-25 20:16:01.000000000 +0000
+++ rhbz557655-expected.stderr	2010-02-25 19:13:55.000000000 +0000
@@ -1,7 +1,7 @@
-set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
-set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
-set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
-set-memsize: memsize: invalid integer parameter (xstrtol returned 1)
+set-memsize: memsize: integer out of range
+set-memsize: memsize: integer out of range
+set-memsize: memsize: integer out of range
+set-memsize: memsize: integer out of range
 set-memsize: memsize: invalid integer parameter (xstrtol returned 4)
 set-memsize: memsize: invalid integer parameter (xstrtol returned 2)
 set-memsize: memsize: invalid integer parameter (xstrtol returned 2)
FAIL: rhbz557655.sh
Comment 3 Fedora Update System 2010-04-09 10:10:45 EDT
libguestfs-1.2.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.1-1.fc13
Comment 4 Fedora Update System 2010-04-13 03:44:18 EDT
libguestfs-1.2.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.2-1.fc13
Comment 5 Fedora Update System 2010-04-30 19:47:26 EDT
libguestfs-1.2.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.